Bug 22661 - appstream package update
Summary: appstream package update
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on: 22656
Blocks: 22659
  Show dependency treegraph
 
Reported: 2018-02-27 11:09 CET by Neal Gompa
Modified: 2018-05-11 22:14 CEST (History)
7 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Neal Gompa 2018-02-27 11:09:37 CET Comment hidden (obsolete)
Neal Gompa 2018-02-27 11:10:00 CET

Blocks: (none) => 22659

Comment 1 Neal Gompa 2018-02-27 11:23:36 CET
Advisory:
===================================

Updated appstream package for supporting Plasma 5 update.

To support updating appstream, the meson, glib2.0, and gobject-introspection packages have been updated.


Updated packages in core/updates_testing:
========================
meson-0.44.0-1.mga6
appstream-0.11.8-1.mga6
libappstream4-0.11.8-1.mga6
libappstream-gir1.0-0.11.8-1.mga6
libappstream-devel-0.11.8-1.mga6
libappstreamqt2-0.11.8-1.mga6
libappstreamqt-devel-0.11.8-1.mga6
lib64appstream4-0.11.8-1.mga6
lib64appstream-gir1.0-0.11.8-1.mga6
lib64appstream-devel-0.11.8-1.mga6
lib64appstreamqt2-0.11.8-1.mga6
lib64appstreamqt-devel-0.11.8-1.mga6
appstream-vala-0.11.8-1.mga6
glib2.0-common-2.54.3-1.mga6
libglib2.0_0-2.54.3-1.mga6
libgio2.0_0-2.54.3-1.mga6
libglib2.0-devel-2.54.3-1.mga6
libglib2.0-static-devel-2.54.3-1.mga6
lib64glib2.0_0-2.54.3-1.mga6
lib64gio2.0_0-2.54.3-1.mga6
lib64glib2.0-devel-2.54.3-1.mga6
lib64glib2.0-static-devel-2.54.3-1.mga6
glib-gettextize-2.54.3-1.mga6
gobject-introspection-1.54.1-1.mga6
libgirepository1.0_1-1.54.1-1.mga6
libglib-gir2.0-1.54.1-1.mga6
libdbus-gir1.0-1.54.1-1.mga6
libdbusglib-gir1.0-1.54.1-1.mga6
libgirepository-gir2.0-1.54.1-1.mga6
libgl-gir1.0-1.54.1-1.mga6
libcairo-gir1.0-1.54.1-1.mga6
libfontconfig-gir2.0-1.54.1-1.mga6
libfreetype-gir2.0-1.54.1-1.mga6
libxml2-gir2.0-1.54.1-1.mga6
libxfixes-gir4.0-1.54.1-1.mga6
libxft-gir2.0-1.54.1-1.mga6
libxlib-gir2.0-1.54.1-1.mga6
libxrandr-gir1.3-1.54.1-1.mga6
libwin32-gir1.0-1.54.1-1.mga6
libgirepository-devel-1.54.1-1.mga6
lib64girepository1.0_1-1.54.1-1.mga6
lib64glib-gir2.0-1.54.1-1.mga6
lib64dbus-gir1.0-1.54.1-1.mga6
lib64dbusglib-gir1.0-1.54.1-1.mga6
lib64girepository-gir2.0-1.54.1-1.mga6
lib64gl-gir1.0-1.54.1-1.mga6
lib64cairo-gir1.0-1.54.1-1.mga6
lib64fontconfig-gir2.0-1.54.1-1.mga6
lib64freetype-gir2.0-1.54.1-1.mga6
lib64xml2-gir2.0-1.54.1-1.mga6
lib64xfixes-gir4.0-1.54.1-1.mga6
lib64xft-gir2.0-1.54.1-1.mga6
lib64xlib-gir2.0-1.54.1-1.mga6
lib64xrandr-gir1.3-1.54.1-1.mga6
lib64win32-gir1.0-1.54.1-1.mga6
lib64girepository-devel-1.54.1-1.mga6

from SRPMS:
meson-0.44.0-1.mga6.src.rpm
appstream-0.11.8-1.mga6.src.rpm
glib2.0-2.54.3-1.mga6.src.rpm
gobject-introspection-1.54.1-1.mga6.src.rpm
Nicolas Lécureuil 2018-02-27 11:46:51 CET

Blocks: (none) => 22656

Comment 2 Rémi Verschelde 2018-03-06 23:47:30 CET
Installed on Mageia 6 x86_64 together with the Qt5/Plasma5 update. Installs fine, but I haven't tested actual features covered by those packages yet.
Comment 3 Thomas Andrews 2018-03-13 22:53:20 CET
I installed these packages as part of the QT/kf5/Plasma update, on both 32-bit and 64-bit systems. All packages installed cleanly. 

I do not know how to test any of these, but as Plasma 5.12.2 seems to be very stable with them installed, and no one has reported any problems with them, I'm going to give them OKs.

Whiteboard: (none) => MGA6-64-OK MGA6-32-OK
CC: (none) => andrewsfarm

Comment 4 José Jorge 2018-03-15 18:12:38 CET
I have found that glib2 update makes libreoffice hunger 100% CPU as soon as it is opened. We cannot push such an update as is, or we'll have end users drying battery on very common usecase : type text in oowriter.

Whiteboard: MGA6-64-OK MGA6-32-OK => (none)
CC: (none) => lists.jjorge

José Jorge 2018-03-15 18:13:02 CET

Keywords: (none) => feedback

Comment 5 José Jorge 2018-03-15 18:13:56 CET
CCing Neal as he may debug it faster than me ;-)

CC: (none) => ngompa13

Comment 6 Thomas Andrews 2018-03-15 20:39:41 CET
Some of these packages, as well as several others from the Plasma/QT/etc updates have been presented to my 32-bit Xfce install. (Athlon X2, 8GB, nvidia340 graphics, server kernel) Possibly because I have some Plasma apps installed, possibly for other reasons - I don't know.

After updating everything involved with Plasma except for glib2 and other packages with version 2.54.3, I rebooted and tried starting an empty Libreoffice Writer. The Xfce panel app reported minimal cpu usage.

After getting the 2.54.3 packages, I ran an empty Libreoffice Writer again. This time, the panel app is reporting that Libreoffice is using a steady 50% of the cpu.

So, it would appear that this problem will be affecting more than just Plasma users.
Comment 7 José Jorge 2018-03-15 21:25:58 CET
(In reply to Thomas Andrews from comment #6)
> After getting the 2.54.3 packages, I ran an empty Libreoffice Writer again.
> This time, the panel app is reporting that Libreoffice is using a steady 50%
> of the cpu.

This is because you have 2 CPU cores, and the panel app reports them cumulated. This bug uses 100% of one cpu core, so yes it is only 12,5% in an octocore ;-)

> 
> So, it would appear that this problem will be affecting more than just
> Plasma users.

Thanks for confirming it is not a Plasma problem.

Status: NEW => ASSIGNED

José Jorge 2018-03-15 21:26:10 CET

Assignee: qa-bugs => ngompa13

Comment 8 Thomas Backlund 2018-03-24 12:58:51 CET
It's a known problem with glib2.0 2.54, I'm pulling in the fixes now

CC: (none) => tmb
Assignee: ngompa13 => tmb

Comment 9 Thomas Backlund 2018-03-24 13:27:24 CET
Please try again with glib2.0-2.54.3-1.1.mga6 (currently building)...

rpms:
glib2.0-common-2.54.3-1.1.mga6
glib-gettextize-2.54.3-1.1.mga6
lib64gio2.0_0-2.54.3-1.1.mga6
lib64glib2.0_0-2.54.3-1.1.mga6
lib64glib2.0-devel-2.54.3-1.1.mga6
lib64glib2.0-static-devel-2.54.3-1.1.mga6
libgio2.0_0-2.54.3-1.1.mga6
libglib2.0_0-2.54.3-1.1.mga6
libglib2.0-devel-2.54.3-1.1.mga6
libglib2.0-static-devel-2.54.3-1.1.mga6

Assignee: tmb => qa-bugs
Keywords: feedback => (none)

Comment 10 Thomas Andrews 2018-03-24 17:21:49 CET
Updated glib2 etc. on the hardware from Comment 6, both in the 32-bit Xfce install and a 64-bit Plasma 5.12.2 install. 

Before the update, both installs showed the problem. After updating, the problem disappeared on both installs.

Will test on other hardware this afternoon.
Comment 11 Thomas Andrews 2018-03-24 21:21:21 CET
Updated on two more sets of real hardware, 1 64-bit Plasma 5.12.2 install on each, 1 32-bit Plasma 5.12.2 on one, and 1 32-bit Xfce install on the other.

Packages installed cleanly in each case. The Xfce install had not yet had any Plasma-related packages updated, including these, and I updated all of those at the same time.

On each install, I checked cpu usage under Libreoffice after the updates, and each was normal. I would say that as far as the glib2 packages are concerned, this update is OK on both arches.

I OKed this bug once, even though I had no clue about how to actually test it, and three days later that proved to be premature. I try not to make the same mistake once, let alone twice, so it would be good if someone who knows what to do could check the rest of it out before it gets OKed again.
Comment 12 Lewis Smith 2018-03-25 12:04:08 CEST
Update M6 x64
This comment is just to note while I have the info the start & post-update package versions, before living with them. I have all the Qt5-KFC5-Plasma-KDE updates in place.

BEFORE update:
 meson-0.38.0-3.mga6     [had to install this]

 appstream-0.11.8-1.mga6         [already up-to-date]
 lib64appstream4-0.11.8-1.mga6
 lib64appstreamqt2-0.11.8-1.mga6

 glib2.0-common-2.52.2-2.mga6
 glib-gettextize-2.52.2-2.mga6
 lib64gio2.0_0-2.52.2-2.mga6
 lib64glib2.0_0-2.52.2-2.mga6
 lib64glib2.0-devel-2.52.2-2.mga6
 libgio2.0_0-2.52.2-2.mga6
 libglib2.0_0-2.52.2-2.mga6

 gobject-introspection-1.52.1-1.mga6
 lib64cairo-gir1.0-1.52.1-1.mga6
 lib64dbusglib-gir1.0-1.52.1-1.mga6
 lib64fontconfig-gir2.0-1.52.1-1.mga6
 lib64freetype-gir2.0-1.52.1-1.mga6
 lib64girepository1.0_1-1.52.1-1.mga6
 lib64girepository-gir2.0-1.52.1-1.mga6
 lib64gl-gir1.0-1.52.1-1.mga6
 lib64glib-gir2.0-1.52.1-1.mga6
 lib64xfixes-gir4.0-1.52.1-1.mga6
 lib64xft-gir2.0-1.52.1-1.mga6
 lib64xlib-gir2.0-1.52.1-1.mga6
 lib64xml2-gir2.0-1.52.1-1.mga6
-------------
AFTER update:
- meson-0.44.0-1.mga6.noarch

- appstream-0.11.8-1.mga6         [was already up-to-date]
etc for the rest

- glib2.0-common-2.54.3-1.1.mga6.x86_64
etc for the rest.

- gobject-introspection-1.54.1-1.mga6.x86_64
etc for the rest.
Comment 13 Lewis Smith 2018-03-27 13:51:52 CEST
M6/64 real hardware with AMD E1-1200 dual processor, 4Mb
Packages as at the end of the previous comment, all Qt5 etc updated.
Using XFCE.

I specifically tried LibreOffice CPU usage. The quiescent system (running just a task monitor) was at about 10-12% CPU. With LibreOffice just loaded, doing nothing, similar. Typing at full speed in Writer showed about 25%. Both figures seem high for 2 processors, but not the 100% noted with the previous glib2.
 I looked at meson (which seems to use ninja), but it is a major application. Not being graphical, I wonder why it is tied to the Plasma updates.
 As for the rest, this system with kernels 4.14.25 then 4.14.30 shows nothing alarming.
Comment 14 Thomas Backlund 2018-03-29 21:28:59 CEST
(In reply to Lewis Smith from comment #13)
>  I looked at meson (which seems to use ninja), but it is a major
> application. Not being graphical, I wonder why it is tied to the Plasma
> updates.

It's used during building some packages in this update
Comment 15 Len Lawrence 2018-04-11 22:41:33 CEST
Mageia 6, x86_64

Out of interest I tried meson/ninja after updating the appstream packages.
It may sound intimidating but the tutorial at http://mesonbuild.com/Tutorial.html reduces its use to its basic elements in an extremely easy to follow recipe for building a basic "hello world" application in C.  As an introduction it is first class.  No doubt things get more difficult as the complexity of the application is scaled up.

Choose a development directory for the source, say ~user/dev/meson/ and create the helloworld program. e.g.

#include<stdio.h>
#include<gtk/gtk.h>

int main(int argc, char **argv) {
  GtkWidget *win;
  gtk_init(&argc, &argv);
  win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title(GTK_WINDOW(win), "Hello there");
  g_signal_connect(win, "destroy", G_CALLBACK(gtk_main_quit), NULL);
  gtk_widget_show(win);
  gtk_main();
}

I actually started with the simplest version of hello.c which outputs the string  "Hello there" and ran meson to create  the demo file then modified hello.c and followed the same steps.

Create a meson build file:
project('tutorial', 'c')
executable('demo', 'hello.c')

$ cd dev/meson/
$ meson builddir
$ ls
builddir/  hello.c  meson.build
$ cd builddir
$ ninja
[0/1] Regenerating build files.
The Meson build system
Version: 0.44.0
Source dir: /home/lcl/dev/meson
Build dir: /home/lcl/dev/meson/builddir
Build type: native build
Project name: tutorial
Native C compiler: cc (gcc 5.5.0)
Build machine cpu family: x86_64
Build machine cpu: x86_64
Found pkg-config: /bin/pkg-config (0.29.1)
Native dependency gtk+-3.0 found: YES 3.22.16
Build targets in project: 1
Found ninja-1.7.2 at /bin/ninja
[2/2] Linking target demo.
$ ls
build.ninja            demo*        meson-logs/
compile_commands.json  'demo@exe'/  meson-private/
$ ./demo

This displayed a blank window with the title "Hello there".

This confirms that meson/ninja is working with the updated appstream packages.

CC: (none) => tarazed25

Comment 16 Len Lawrence 2018-04-11 22:50:19 CEST
Apologies re comment 15.
The meson.build file was modified for the Gtk test.

$ cat meson.build
project('tutorial', 'c')
gtkdep = dependency('gtk+-3.0')
executable('demo', 'hello.c', dependencies : gtkdep)
Comment 17 Thomas Andrews 2018-04-12 22:37:44 CEST
OKing this on both arches, and validating.

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update
Whiteboard: (none) => MGA6-64-OK MGA6-32-OK

Comment 18 Dave Hodgins 2018-05-04 13:52:26 CEST
Advisory committed to svn. As I'm not sure if it's ok to push this update
before the plasma update, holding off adding the advisory keyword.

CC: (none) => davidwhodgins

Thomas Backlund 2018-05-04 18:48:55 CEST

Blocks: 22656 => (none)
Depends on: (none) => 22656

Dave Hodgins 2018-05-10 13:42:07 CEST

Keywords: (none) => advisory

Comment 19 Mageia Robot 2018-05-11 22:14:31 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0072.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.